import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { DateTimeWithAggregatesFilterObjectSchema as DateTimeWithAggregatesFilterObjectSchema } from './DateTimeWithAggregatesFilter.schema'

const databasebackupscalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => DatabaseBackupScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => DatabaseBackupScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => DatabaseBackupScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => DatabaseBackupScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => DatabaseBackupScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeWithAggregatesFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const DatabaseBackupScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.DatabaseBackupScalarWhereWithAggregatesInput> = databasebackupscalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.DatabaseBackupScalarWhereWithAggregatesInput>;
export const DatabaseBackupScalarWhereWithAggregatesInputObjectZodSchema = databasebackupscalarwherewithaggregatesinputSchema;
